/*
 *  Circle.cpp
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/17/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#include "Circle.h"

void Circle::setup(float _x, float _y){
	//place the circle at the center
	x=_x;
	y=_y;
	
	r=ofMap(sin(ofGetElapsedTimef()*2), -1, 1, 25, 60);
	
}

void Circle::draw(){
	ofFill();
	ofSetColor(240, 240, 240);
	ofCircle(x, y, r);
	ofNoFill();
	ofSetColor(0, 0, 0);
	ofCircle(x, y, r);
	
}

void Circle::drawOutline(){
	ofFill();
	ofSetColor(0, 0, 0,50);
	for (int i=0; i<5; i++)
		ofCircle(x, y, r+i*4);
}