// *****************************
// Andy Wallace
// 2011
// 
// Audio taken from The Past Is A Grotesque Animal by Of Montreal
// Hope they don't mind.
// *****************************

#pragma once

#include "ofMain.h"
#include "Circle.h"

struct Tile{
	float x,y;
	ofImage pic;
	
};


class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
	
	float speed;
	float dir;		//angle everything is moving in
	vector <Circle> circles;
	
	float x,y;	//current location
	
	Tile tiles[3][3];
	
	//audio
	ofSoundPlayer audio;
	bool started;
	
	float timing[45];
	int nextTime;		//which hit to look for next
	
	
		
};


